BcKeyStoreSpi.BouncyCastleStore (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.jcajce.provider.keystore.bc

## Class BcKeyStoreSpi.BouncyCastleStore

- java.lang.Object
- - java.security.KeyStoreSpi
  - - org.bouncycastle.jcajce.provider.keystore.bc.BcKeyStoreSpi
    - - org.bouncycastle.jcajce.provider.keystore.bc.BcKeyStoreSpi.BouncyCastleStore

- All Implemented Interfaces:
    BCKeyStore
  Enclosing class:
    BcKeyStoreSpi

      public static class BcKeyStoreSpi.BouncyCastleStore
      extends BcKeyStoreSpi

  the BouncyCastle store. This wont work with the key tool as the store is stored encrypted on disk, so the password is mandatory, however if you hard drive is in a bad part of town and you absolutely, positively, don't want nobody peeking at your things, this is the one to use, no problem! After all in a Bouncy Castle nothing can touch you. Also referred to by the alias UBER.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.bouncycastle.jcajce.provider.keystore.bc.BcKeyStoreSpi

      `BcKeyStoreSpi.BouncyCastleStore, BcKeyStoreSpi.Std, BcKeyStoreSpi.Version1`

  - ### Field Summary

    - ### Fields inherited from class org.bouncycastle.jcajce.provider.keystore.bc.BcKeyStoreSpi

      `random, table, version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BcKeyStoreSpi.BouncyCastleStore()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `engineLoad(java.io.InputStream stream, char[] password)`
    `void` | `engineStore(java.io.OutputStream stream, char[] password)`

    - ### Methods inherited from class org.bouncycastle.jcajce.provider.keystore.bc.BcKeyStoreSpi

      `engineAliases, engineContainsAlias, engineDeleteEntry, engineGetCertificate, engineGetCertificateAlias, engineGetCertificateChain, engineGetCreationDate, engineGetKey, engineIsCertificateEntry, engineIsKeyEntry, engineSetCertificateEntry, engineSetKeyEntry, engineSetKeyEntry, engineSize, loadStore, makePBECipher, saveStore, setRandom`

    - ### Methods inherited from class java.security.KeyStoreSpi

      `engineEntryInstanceOf, engineGetEntry, engineLoad, engineSetEntry, engineStore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BcKeyStoreSpi.BouncyCastleStore

          public BcKeyStoreSpi.BouncyCastleStore()

  - ### Method Detail

    - #### engineLoad

          public void engineLoad(java.io.InputStream stream,
                        char[] password)
                          throws java.io.IOException

      Overrides:
        `engineLoad` in class `BcKeyStoreSpi`
      Throws:
        `java.io.IOException`

    - #### engineStore

          public void engineStore(java.io.OutputStream stream,
                         char[] password)
                           throws java.io.IOException

      Overrides:
        `engineStore` in class `BcKeyStoreSpi`
      Throws:
        `java.io.IOException`